summaryrefslogtreecommitdiffstats
path: root/pm-utils/pm-utils-11-netcfg
diff options
context:
space:
mode:
authortnut <tnut at nutyx dot org>2012-05-03 21:10:08 +0200
committertnut <tnut at nutyx dot org>2012-05-03 21:10:08 +0200
commitda38d2b0170922c01a607a04af092e77ca2d64d1 (patch)
tree81932879a719a11b2e8fab5f9224b09e7fba6c6b /pm-utils/pm-utils-11-netcfg
parentcdd472312568aca412d979d2af1e4c0d7105a0a3 (diff)
downloadnutyx-pakxe-da38d2b0170922c01a607a04af092e77ca2d64d1.tar.gz
nutyx-pakxe-da38d2b0170922c01a607a04af092e77ca2d64d1.tar.bz2
nutyx-pakxe-da38d2b0170922c01a607a04af092e77ca2d64d1.tar.xz
nutyx-pakxe-da38d2b0170922c01a607a04af092e77ca2d64d1.zip
ajout pm-utils
Diffstat (limited to 'pm-utils/pm-utils-11-netcfg')
-rw-r--r--pm-utils/pm-utils-11-netcfg27
1 files changed, 27 insertions, 0 deletions
diff --git a/pm-utils/pm-utils-11-netcfg b/pm-utils/pm-utils-11-netcfg
new file mode 100644
index 000000000..86ff8bafd
--- /dev/null
+++ b/pm-utils/pm-utils-11-netcfg
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+. /usr/lib/pm-utils/functions
+
+suspend_netcfg() {
+ netcfg2 all-suspend
+}
+
+resume_netcfg() {
+ netcfg2 all-resume
+}
+
+if [ -x /usr/bin/netcfg2 ]; then
+ case "$1" in
+ hibernate|suspend)
+ suspend_netcfg
+ ;;
+ thaw|resume)
+ resume_netcfg
+ ;;
+ *)
+ ;;
+ esac
+fi
+
+exit $?
+